aboutsummaryrefslogtreecommitdiff
path: root/net/isc-dhcp3-server/files
diff options
context:
space:
mode:
Diffstat (limited to 'net/isc-dhcp3-server/files')
-rw-r--r--net/isc-dhcp3-server/files/isc-dhcpd.sh.sample78
-rw-r--r--net/isc-dhcp3-server/files/isc-dhcrelay.sh.sample78
-rw-r--r--net/isc-dhcp3-server/files/patch-dhcpd.conf12
-rw-r--r--net/isc-dhcp3-server/files/patch-freebsd38
-rw-r--r--net/isc-dhcp3-server/files/patch-site.conf38
-rw-r--r--net/isc-dhcp3-server/files/rc.isc-dhcpd.conf.sample7
-rw-r--r--net/isc-dhcp3-server/files/rc.isc-dhcrelay.conf.sample8
7 files changed, 0 insertions, 259 deletions
diff --git a/net/isc-dhcp3-server/files/isc-dhcpd.sh.sample b/net/isc-dhcp3-server/files/isc-dhcpd.sh.sample
deleted file mode 100644
index 17472ab3bb71..000000000000
--- a/net/isc-dhcp3-server/files/isc-dhcpd.sh.sample
+++ /dev/null
@@ -1,78 +0,0 @@
-#! /bin/sh
-#
-# $FreeBSD$
-#
-# Start or stop isc-dhcpd.
-#
-
-rc_file=${0##*/}
-rc_arg=$1
-
-# override these variables in ${PREFIX}/etc/rc.isc-dhcpd.conf
-dhcpd_options= # command option(s)
-dhcpd_ifaces= # ethernet interface(s)
-
-if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/${rc_file}\$"); then
- echo "${rc_file}: Cannot determine PREFIX." >&2
- echo "Please use the complete pathname." >&2
- exit 64
-fi
-
-rcconf_dir=${PREFIX}/etc
-rcconf_file=rc.${rc_file%.sh}.conf
-rcconf_path=${rcconf_dir}/${rcconf_file}
-
-if [ -f ${rcconf_path} ]; then
- . ${rcconf_path}
-fi
-
-program_dir=${PREFIX}/sbin
-program_file=dhcpd
-program_path=${program_dir}/${program_file}
-
-config_dir=${PREFIX}/etc
-config_file=${program_file}.conf
-config_path=${config_dir}/${config_file}
-
-pid_dir=/var/run
-pid_file=${program_file}.pid
-pid_path=${pid_dir}/${pid_file}
-
-syslog_facility=daemon.err
-
-case "$rc_arg" in
-start)
- if [ ! -x ${program_path} ]; then
- logger -sp ${syslog_facility} -t ${program_file} \
- "unable to start: ${program_path} is missing."
- exit 72
- fi
- if [ ! -f ${config_path} ]; then
- logger -sp ${syslog_facility} -t ${program_file} \
- "unable to start: ${config_path} is missing."
- exit 72
- fi
- ${program_path} ${dhcpd_options} ${dhcpd_ifaces} &&
- echo -n " ${program_file}"
- ;;
-stop)
- if [ -r ${pid_path} ]; then
- kill $(cat ${pid_path}) 2> /dev/null
- else
- killall ${program_file} 2> /dev/null
- fi
- ;;
-restart)
- $0 stop
- $0 start
- ;;
-status)
- ps -auxww | egrep ${program_file} | egrep -v "($0|egrep)"
- ;;
-*)
- echo "usage: ${rc_file} {start|stop|restart|status}" >&2
- exit 64
- ;;
-esac
-
-exit 0
diff --git a/net/isc-dhcp3-server/files/isc-dhcrelay.sh.sample b/net/isc-dhcp3-server/files/isc-dhcrelay.sh.sample
deleted file mode 100644
index de5f111d133c..000000000000
--- a/net/isc-dhcp3-server/files/isc-dhcrelay.sh.sample
+++ /dev/null
@@ -1,78 +0,0 @@
-#! /bin/sh
-#
-# $FreeBSD$
-#
-# Start or stop isc-dhcrelay.
-#
-
-rc_file=${0##*/}
-rc_arg=$1
-
-# override these variables in ${PREFIX}/etc/rc.isc-dhcrelay.conf
-dhcrelay_options= # command option(s)
-dhcrelay_ifaces= # ethernet interface(s)
-dhcrelay_servers= # dhcpd server(s)
-
-if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/${rc_file}\$"); then
- echo "${rc_file}: Cannot determine PREFIX." >&2
- echo "Please use the complete pathname." >&2
- exit 64
-fi
-
-rcconf_dir=${PREFIX}/etc
-rcconf_file=rc.${rc_file%.sh}.conf
-rcconf_path=${rcconf_dir}/${rcconf_file}
-
-if [ -f ${rcconf_path} ]; then
- . ${rcconf_path}
-fi
-
-program_dir=${PREFIX}/sbin
-program_file=dhcrelay
-program_path=${program_dir}/${program_file}
-
-pid_dir=/var/run
-pid_file=${program_file}.pid
-pid_path=${pid_dir}/${pid_file}
-
-syslog_facility=daemon.err
-
-case "$rc_arg" in
-start)
- if [ ! -x ${program_path} ]; then
- logger -sp ${syslog_facility} -t ${program_file} \
- "unable to start: ${program_path} is missing."
- exit 72
- fi
- if [ -z "${dhcrelay_servers}" ]; then
- logger -sp ${syslog_facility} -t ${program_file} \
- "unable to start: no dhcpd server(s) configured."
- exit 64
- fi
- ifaces=
- for iface in ${dhcrelay_ifaces}; do
- ifaces="$ifaces -i $iface"
- done
- ${program_path} ${dhcrelay_options} ${ifaces} ${dhcrelay_servers} &&
- echo -n " ${program_file}"
- ;;
-stop)
- if [ -r ${pid_path} ]; then
- kill $(cat ${pid_path}) 2> /dev/null
- else
- killall ${program_file} 2> /dev/null
- fi
- ;;
-restart)
- $0 stop
- $0 start
- ;;
-status)
- ps -auxww | egrep ${program_file} | egrep -v "($0|egrep)"
- ;;
-*)
- echo "usage: ${rc_file} {start|stop|restart|status}" >&2
- ;;
-esac
-
-exit 0
diff --git a/net/isc-dhcp3-server/files/patch-dhcpd.conf b/net/isc-dhcp3-server/files/patch-dhcpd.conf
deleted file mode 100644
index 030e89874d8d..000000000000
--- a/net/isc-dhcp3-server/files/patch-dhcpd.conf
+++ /dev/null
@@ -1,12 +0,0 @@
---- server/dhcpd.conf.orig Thu Jan 25 03:33:11 2001
-+++ server/dhcpd.conf Wed Jan 30 22:06:52 2002
-@@ -14,6 +14,9 @@
- # network, the authoritative directive should be uncommented.
- #authoritative;
-
-+# ad-hoc DNS update scheme - set to "none" to disable dynamic DNS updates.
-+ddns-update-style ad-hoc;
-+
- # Use this to send dhcp log messages to a different log file (you also
- # have to hack syslog.conf to complete the redirection).
- log-facility local7;
diff --git a/net/isc-dhcp3-server/files/patch-freebsd b/net/isc-dhcp3-server/files/patch-freebsd
deleted file mode 100644
index 61a0e0c093a8..000000000000
--- a/net/isc-dhcp3-server/files/patch-freebsd
+++ /dev/null
@@ -1,38 +0,0 @@
---- client/scripts/freebsd.orig Tue Feb 19 17:59:35 2002
-+++ client/scripts/freebsd Mon Apr 15 15:31:21 2002
-@@ -20,17 +20,17 @@
- # Must be used on exit. Invokes the local dhcp client exit hooks, if any.
- exit_with_hooks() {
- exit_status=$1
-- if [ -f /etc/dhclient-exit-hooks ]; then
-- . /etc/dhclient-exit-hooks
-+ if [ -f %%PREFIX%%/etc/dhclient-exit-hooks ]; then
-+ . %%PREFIX%%/etc/dhclient-exit-hooks
- fi
- # probably should do something with exit status of the local script
- exit $exit_status
- }
-
- # Invoke the local dhcp client enter hooks, if they exist.
--if [ -f /etc/dhclient-enter-hooks ]; then
-+if [ -f %%PREFIX%%/etc/dhclient-enter-hooks ]; then
- exit_status=0
-- . /etc/dhclient-enter-hooks
-+ . %%PREFIX%%/etc/dhclient-enter-hooks
- # allow the local script to abort processing of this state
- # local script must set exit_status variable to nonzero.
- if [ $exit_status -ne 0 ]; then
-@@ -39,11 +39,11 @@
- fi
-
- if [ x$new_network_number != x ]; then
-- $LOGGER New Network Number: $new_network_number
-+ $LOGGER "New Network Number: $new_network_number"
- fi
-
- if [ x$new_broadcast_address != x ]; then
-- $LOGGER New Broadcast Address: $new_broadcast_address
-+ $LOGGER "New Broadcast Address: $new_broadcast_address"
- new_broadcast_arg="broadcast $new_broadcast_address"
- fi
- if [ x$old_broadcast_address != x ]; then
diff --git a/net/isc-dhcp3-server/files/patch-site.conf b/net/isc-dhcp3-server/files/patch-site.conf
deleted file mode 100644
index 65f79b6a7550..000000000000
--- a/net/isc-dhcp3-server/files/patch-site.conf
+++ /dev/null
@@ -1,38 +0,0 @@
---- site.conf.orig Wed Jul 7 17:20:10 1999
-+++ site.conf Sun Jun 24 02:07:17 2001
-@@ -1,2 +1,35 @@
- # Put local site configuration stuff here to override the default
- # settings in Makefile.conf
-+
-+PREFIX ?= /usr/local
-+
-+USERBINDIR = $(PREFIX)/bin
-+BINDIR = $(PREFIX)/sbin
-+CLIENTBINDIR = $(PREFIX)/sbin
-+ADMMANDIR = $(PREFIX)/man/man8
-+ADMMANEXT = .8
-+FFMANDIR = $(PREFIX)/man/man5
-+FFMANEXT = .5
-+LIBMANDIR = $(PREFIX)/man/man3
-+LIBMANEXT = .3
-+USRMANDIR = $(PREFIX)/man/man1
-+USRMANEXT = .1
-+MANCAT = man
-+# INSTALL = ${INSTALL_DATA}
-+# MANINSTALL = ${INSTALL_MAN}
-+ETC = $(PREFIX)/etc
-+LIBDIR = ${PREFIX}/lib
-+INCDIR = ${PREFIX}/include
-+
-+DEBUG ?= #none
-+
-+CFLAGS += -D_PATH_DHCPD_CONF=\"$(ETC)/dhcpd.conf\"
-+CFLAGS += -D_PATH_DHCPD_DB=\"$(VARDB)/dhcpd.leases\"
-+CFLAGS += -D_PATH_DHCPD_PID=\"$(VARRUN)/dhcpd.pid\"
-+
-+CFLAGS += -D_PATH_DHCRELAY_PID=\"$(VARRUN)/dhcrelay.pid\"
-+
-+CFLAGS += -D_PATH_DHCLIENT_CONF=\"$(ETC)/dhclient.conf\"
-+CFLAGS += -D_PATH_DHCLIENT_SCRIPT=\"$(CLIENTBINDIR)/dhclient-script\"
-+CFLAGS += -D_PATH_DHCLIENT_DB=\"$(VARDB)/dhclient.leases\"
-+CFLAGS += -D_PATH_DHCLIENT_PID=\"$(VARRUN)/dhclient.pid\"
diff --git a/net/isc-dhcp3-server/files/rc.isc-dhcpd.conf.sample b/net/isc-dhcp3-server/files/rc.isc-dhcpd.conf.sample
deleted file mode 100644
index edfe4bd7dc50..000000000000
--- a/net/isc-dhcp3-server/files/rc.isc-dhcpd.conf.sample
+++ /dev/null
@@ -1,7 +0,0 @@
-# $FreeBSD$
-#
-# isc-dhcpd startup configuration file.
-#
-
-dhcpd_options= # command option(s)
-dhcpd_ifaces= # ethernet interface(s)
diff --git a/net/isc-dhcp3-server/files/rc.isc-dhcrelay.conf.sample b/net/isc-dhcp3-server/files/rc.isc-dhcrelay.conf.sample
deleted file mode 100644
index b647c62f6137..000000000000
--- a/net/isc-dhcp3-server/files/rc.isc-dhcrelay.conf.sample
+++ /dev/null
@@ -1,8 +0,0 @@
-# $FreeBSD$
-#
-# isc-dhcrelay startup configuration file.
-#
-
-dhcrelay_options= # command option(s)
-dhcrelay_ifaces= # ethernet interface(s)
-dhcrelay_servers= # dhcpd server(s)